Get allocators

  • GET /platform/infrastructure/allocators
Auth

Retrieves the information for all of the allocators in the platform.

Query parameters

q string

(Optional) The query that filters the allocators. Maps to an Elasticsearch query_string query.

size integer · default: 100

(Optional) The maximum number of search results to return. Defaults to 100.

from integer · default: 0

(Optional) The offset from the first result you want to fetch. Defaults to 0.

sort string

(Optional) A comma-separated array of fields to sort the search results by. Defaults to allocator_id.

Response

An overview of all allocators

application/json
zones object[] required
zone_id string required

Identifier of the zone

allocators object[] required
status object required

The health status of the allocator.

connected boolean required

Whether the allocator is connected

healthy boolean required

Whether the allocator is healthy, meaning it is either connected or has no instances

health_checks object

The checks performed to determine if an allocator is healthy or not.

is_docker_healthy boolean required

Check performed by the allocator to figure out if docker is healthy

is_connected_to_zk boolean required

Whether the allocator is connected to zk or not

has_instances boolean required

Whether the allocator has allocated instances

maintenance_mode boolean required

Whether the allocator is in maintenance mode (meaning that new workload won't be assigned to it)

maintenance_mode_timestamp string · format: date-time

Timestamp when allocator last entered or exited maintenance mode

allocator_id string required

Identifier for this allocator

zone_id string required

Identifier of the zone

host_ip string required

Host IP of this allocator

public_hostname string required

Public hostname of this allocator

capacity object required

The total and used capacity of the allocator.

memory object required

The available and used memory of the allocator.

total integer · format: int32 required

Total memory in MB capacity installed on this allocator

used integer · format: int32 required

Used memory in MB used by instances assigned to this allocator

storage object required

The storage capacity of the allocator.

total integer · format: int64 required

Total storage in MiB capacity installed on this allocator

available_cpus integer · format: int32

Total number of CPUs available on this allocator

additional_master_bonus number · format: float

Additional bonus CPU shares available to Elasticsearch master instances

settings object required

The settings for the allocator.

capacity integer · format: int32

A memory capacity (in MB) that overrides the capacity defined during installation - requires separate restart of Allocator services on each host to take full effect.

instances object[] required
cluster_type enum required

Type of instance that is running

Values: elasticsearch kibana apm integrations_server appsearch enterprise_search
cluster_id string required

Identifier for the cluster this instance belongs

cluster_name string

Name of cluster this instance belongs, if available

instance_name string required

Instance ID of the instance

node_memory integer · format: int32 required

Memory assigned to this instance

healthy boolean

Indicates whether the instance is healthy

cluster_healthy boolean

Indicates whether the cluster the instance belongs to is healthy

instance_configuration_id string

The instance configuration id of this instance

moving boolean

Indicates whether the instance is vacating away from this allocator. Note that this is currently not populated when returned from the search endpoint.

plans_info object

The plan information for the Elasticsearch cluster associated with the Kibana instance or APM Server.

pending boolean required

Whether or not there is a pending plan.

version string

The version of the current plan, falling back to that of the pending plan if it exists.

zone_count integer · format: int32

The number of zones in the current plan, falling back to that of the pending plan if it exists.

deployment_id string

The id of the deployment this cluster belongs to.

metadata object[] required

Arbitrary metadata associated with this allocator

key string required

The metadata field name

value string required

The metadata value

build_info object

Information about the build that is running on the allocator.

commit_hash string

Git commit hash

version string

Version of the artifact

features string[] required

List of features associated with this allocator. Note this is only present for backwards compatibility purposes and is scheduled for removal in the next major version release.

External resources related to this allocator.

region string

The region that this allocator belongs to. Only populated in SaaS or federated ECE.